This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 109291 - rpm -qa Segmentation fault
rpm -qa Segmentation fault
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
1
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-06 11:53 EST by Jim Hanley
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-28 11:38:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jim Hanley 2003-11-06 11:53:50 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; .NET 
CLR 1.1.4322)

Description of problem:
After trying to recover from a currupt Packages database and 
attepting to clean it up with:

mv Packages Packages-ORIG
       /usr/lib/rpm/rpmdb_dump Packages-ORIG | \
		/usr/lib/rpm/rpmdb_load Packages

I was able to do a
/usr/lib/rpm/rpmdb_verify Packages
with out errors or warnings.

But trying to do a
rpm -qa
I get a segmentation fault.

This also happens when performing an
rpm --rebbuilddb

I have the original db files before the "rpmdb_dump | rpmdb_load" and 
after.  It seems to fault at the same location (it doesn't mater if 
it is the origional Packages file or the new "clean" one) right after 
reading info about mysql.


Version-Release number of selected component (if applicable):
rpm-4.2.1-0.30

How reproducible:
Always

Steps to Reproduce:
1.rpm -qa    

Actual Results:  ...
libogg-devel-1.0-5_1.rh9.at
D:  read h#    1616 Header V3 DSA signature: NOKEY, key ID 66534c2b
perl-XML-Twig-3.11-0_5.rh9.at
D:  read h#    1620 Header V3 DSA signature: NOKEY, key ID db42a60e
mysql-3.23.58-1.9
Segmentation fault
[root@lava rpm]# 

Expected Results:  Return normally after rebuilding the database.

Additional info:

I followed the instructions on 
http://www.rpm.org/hintskinks/repairdb/ and came to the point where 
it suggested I fill out a bug report.
Comment 1 Jeff Johnson 2003-12-27 15:48:58 EST
Try
    rm -f /var/lib/rpm/__db*
    rm /var/lib/rpm/Pubkeys
    rpm -qa
    rpm --rebuilddb -vv
    rpm -qa
If the above fixes, then upgrade to rpm-4.2.2-0.6.

Otherwise reopen this bug and tell me how far you got please.
Comment 2 Jim Hanley 2003-12-28 11:12:35 EST
The above operations worked without error, and cleaned out the warinings
that the rpm -qa were reporting and it didn't crash.

> If the above fixes, then upgrade to rpm-4.2.2-0.6.

Exactly where do I find this version of the package manager?


Comment 3 Jeff Johnson 2003-12-28 11:38:43 EST
Fedora Core 2 development at:
    http://download.fedora.redhat.com/pub/fedora/linux/core/development

Watch out for -0.7 though, -0.8 pretty soon now.

Note You need to log in before you can comment on or make changes to this bug.